#!/bin/bash

set -ex

cat >hello.proto<<EOF
syntax = "proto3";

// The greeting service definition.
service Greeter {
  // Sends a greeting
  rpc SayHello (HelloRequest) returns (HelloReply) {}
}

// The request message containing the user's name.
message HelloRequest {
  string name = 1;
}

// The response message containing the greetings
message HelloReply {
  string message = 1;
}
EOF

# Compile a trivial service definition to C++

protoc --plugin=protoc-gen-grpc=$PREFIX/bin/grpc_cpp_plugin --grpc_out=. hello.proto

test -f hello.grpc.pb.h
test -f hello.grpc.pb.cc


set -ex



grpc_cpp_plugin < /dev/null
exit 0
